%define upstream_name    Test-Moose-More
%define upstream_version 0.020

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    More tools for testing Moose packages
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Data::OptList)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Perl6::Junction)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(TAP::SimpleOutput)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This package contains a number of additional tests that can be employed
against Moose classes/roles. It is intended to replace the Test::Moose
manpage in your tests, and reexports any tests that it has and we do not,
yet.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.20.0-2.mga4
+ Revision: 531258
- Mageia 4 Mass Rebuild

* Fri Aug 02 2013 sander85 <sander85> 0.20.0-1.mga4
+ Revision: 462698
- update to 0.020

* Mon Jun 10 2013 jquelin <jquelin> 0.19.0-1.mga4
+ Revision: 441785
- update to 0.019

* Sun Jan 13 2013 umeabot <umeabot> 0.17.0-3.mga3
+ Revision: 373653
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.17.0-2.mga3
+ Revision: 316093
- bs ate previous submission

* Wed Nov 07 2012 jquelin <jquelin> 0.17.0-1.mga3
+ Revision: 315879
- update to 0.017

* Wed Sep 26 2012 jquelin <jquelin> 0.11.0-2.mga3
+ Revision: 298321
- package eaten by bs

* Wed Sep 26 2012 jquelin <jquelin> 0.11.0-1.mga3
+ Revision: 298298
- imported package perl-Test-Moose-More


* Wed Sep 26 2012 cpan2dist 0.011-1mga
- initial mageia release, generated with cpan2dist
